<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						       <span class="saldo">Laporan Pengajuan Sertifikat Sehati </span>
						    </h4>
						    <br/>
					</div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel>
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					      <!-- <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> -->
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">Tanggal pengajuan</option>
							                      <option value="bln" class="textH">Bulan pengajuan</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-2">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-5">
									</div>
							        <div class="col-md-3" [formGroup]="editForm">
										<div class="input-group">
							                <label class="form-control textH">Pendamping : </label>
											<select class="form-control textH" id="field_pendamping" name="pendamping" formControlName="pendamping" (change)="onChangePendamping($event.target.value)">
						                         <option *ngFor="let pendamping of pendampings" [value]="pendamping.id">{{pendamping.nama}}</option>
						                    </select>
						                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchpendamping()">
							                        <i class="material-icons">search</i>
							                </button>
										</div>
									</div>
							       <!-- <div class="col-md-3" [formGroup]="ppkGroup">
										<div class="input-group">
											<input  type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="Cari nomor pengajuan..." formControlName="nomor">
											<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('nomor')">
							                        <i class="material-icons">search</i>
							                </button>
										</div>
									</div>-->
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>
	        			<!-- <div class="row">
					        <div class="col-md-5">
					            <h4 jhiTranslate="audits.filter.title" class="textH">Filter by date</h4>
					            <div class="input-group mb-3">
					                <div class="input-group-prepend">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.from">from</span>
					                </div>
					                <input type="date" class="form-control" name="start" [(ngModel)]="fromDate" (ngModelChange)="transition()" required/>
					
					                <div class="input-group-append">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.to">To</span>
					                </div>
					                <input type="date" class="form-control" name="end" [(ngModel)]="toDate" (ngModelChange)="transition()" required/>
					            </div>
					        </div>
					    </div> -->
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <!--<div class="table-responsive-sm" *ngIf="pengajuans?.length > 0">-->
			            <div class="table-responsive-sm">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)" class="textH">
							            <td scope="col" class="d-sm-table-cell"><span>TANGGAL</span></td>
							           	<td scope="col" class="d-sm-table-cell">NOMOR</td>
							            <td scope="col" class="d-sm-table-cell">PELAKU USAHA</td>
							            <td scope="col" class="d-none d-sm-table-cell">PRODUK</td>
							            <td scope="col" class="d-none d-sm-table-cell">MERK</td>
							            <td scope="col" class="d-none d-sm-table-cell">PENDAMPING</td>
							            <td scope="col" class="d-sm-table-cell text-center">STATUS</td>
							            <td scope="col" class="d-sm-table-cell text-center">SERTIFIKAT</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">INVOICE DONE</td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let pengajuan of pengajuans let i= index" class="textB">
									    <!--<td class="d-none d-sm-table-cell">{{((page-1) * itemsPerPage)+(i+1) }}</td>-->
						                <td class="d-sm-table-cell">{{pengajuan.tglPengajuan | date:'dd-MM-yy'}}</td>
						                <td class="d-sm-table-cell">
											<a class="hand textwait" (click)="detailPengajuan(pengajuan)">
					                            {{pengajuan.noPengajuan}}
					                        </a>
										</td>
						                <td class="d-sm-table-cell text-left">{{pengajuan.nama}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{pengajuan.prod}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{pengajuan.merkDagang}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{pengajuan.damping}}</td>
						                <td class="d-sm-table-cell text-center">
											<span *ngIf="pengajuan.status === 1" class="textbatal">Perbaikan Kelengkapan</span>
											<span *ngIf="pengajuan.status === 2" class="textwait">PROSES</span>
											<span *ngIf="pengajuan.status === 3" class="textcomplete">COMPLETE</span>
											<span *ngIf="pengajuan.status === 4" class="textsubmit">SUBMIT</span>
											<span *ngIf="pengajuan.status === 5" class="textinvoice">INVOICE DONE</span>
										</td>
						                <td class="d-sm-table-cell text-center">
											<a class="hand" (click)="openDoc(pengajuan.linkSertifikat)" *ngIf="pengajuan.noSertifikat">
					                            {{pengajuan.noSertifikat}}
					                        </a>
					                    </td>
										<td class="d-sm-table-cell text-center">
											<button mat-raised-button [ngClass]="(pengajuan.status === 3) ? 'btn-info' : 'btn-light'" class="btn btn-sm" (click)="invoice(pengajuan.id)">
						                        <fa-icon [icon]="'check'"></fa-icon>
						                	</button>
											<button mat-raised-button  [ngClass]="(pengajuan.status === 5) ? 'btn-info' : 'btn-light'" class="btn btn-sm" (click)="invoice(pengajuan.id)">
						                        <fa-icon [icon]="'times'"></fa-icon>
						                	</button>
										</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>